import * as React from "react";
import * as Yup from "yup";
interface FormProps {
    initialValues: FormValue;
    validationSchema: Yup.ObjectSchema;
    isInitiallyValid?: boolean;
    children: ({}: FormalProps) => React.ReactNode;
    onSubmit: (actions: FormalActionsProps, formData: FormValue) => void;
}
interface FormValue {
    [key: string]: string;
}
export interface FormalActionsProps {
    setIsSubmitting: React.Dispatch<React.SetStateAction<boolean>>;
    setErrors: React.Dispatch<React.SetStateAction<Yup.ValidationError[]>>;
}
export interface FormalProps {
    values: FormValue;
    onChangeValues: Function;
    handleFormSubmit: Function;
    isSubmitting: boolean;
    isValid: boolean;
    errors: Yup.ValidationError[];
}
export declare const generateError: ({ message, path, }: {
    message: string;
    path: string;
}) => Yup.ValidationError;
declare const _default: ({ initialValues, validationSchema, isInitiallyValid, children, onSubmit, }: FormProps) => JSX.Element;
export default _default;
